Debian Bug report logs - #650795
linux-2.6 FTBFS: find: Failed to save working directory in order to [...]: Too many open files

version graph

Package: findutils; Maintainer for findutils is Andreas Metzler <ametzler@debian.org>; Source for findutils is src:findutils.

Reported by: Jonathan Nieder <jrnieder@gmail.com>

Date: Sat, 3 Dec 2011 08:48:02 UTC

Severity: normal

Tags: fixed-upstream

Found in version findutils/4.5.10-1

Fixed in version findutils/4.5.12-1

Done: Andreas Metzler <ametzler@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://savannah.gnu.org/bugs/?34976

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, linux-2.6@packages.debian.org, Andreas Metzler <ametzler@debian.org>:
Bug#650795; Package findutils. (Sat, 03 Dec 2011 08:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
New Bug report received and forwarded. Copy sent to linux-2.6@packages.debian.org, Andreas Metzler <ametzler@debian.org>. (Sat, 03 Dec 2011 08:48:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: submit@bugs.debian.org
Subject: linux-2.6 FTBFS: find: Failed to save working directory in order to [...]: Too many open files
Date: Sat, 3 Dec 2011 02:45:30 -0600
Package: findutils
Version: 4.5.10-1

Hi,

Trying to build linux-2.6/squeeze:

| dh_install -X.svn debian/patches/* '/usr/src/kernel-patches/all/2.6.32/debian'
| install debian/bin/patch.apply 'debian/linux-patch-debian-2.6.32/usr/src/kernel-patches/all/2.6.32/apply/debian'
| install debian/templates/patch.unpatch 'debian/linux-patch-debian-2.6.32/usr/src/kernel-patches/all/2.6.32/unpatch/debian'
| find 'debian/linux-patch-debian-2.6.32/usr/src/kernel-patches/all/2.6.32/debian' ! -path '*/series/*' -type f -execdir bzip2 '{}' ';' -execdir chmod 644 '{}.bz2' ';'
| find: Failed to save working directory in order to run a command on `drm-i915-rephrase-pread+pwrite-bounds-checking-to-avoid-potential-overflow.patch': Too many open files
| make[2]: *** [install-patch] Erreur 1
| make[2] : on quitte le répertoire « /home/jrn/.cache/t/linux-2.6 »
| make[1]: *** [binary-indep] Erreur 2
| make[1] : on quitte le répertoire « /home/jrn/.cache/t/linux-2.6 »
| make: *** [binary-indep] Erreur 2
| dpkg-buildpackage: erreur: fakeroot debian/rules binary a produit une erreur de sortie de type 2

| $ dpkg-query -W findutils
| findutils	4.5.10-1
| $ ulimit -n
| 1024

It seems that "find -execdir" is not very frugal with file
descriptors.

Thanks for your work.

Regards,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Andreas Metzler <ametzler@debian.org>:
Bug#650795; Package findutils. (Sat, 03 Dec 2011 08:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Andreas Metzler <ametzler@debian.org>. (Sat, 03 Dec 2011 08:57:30 GMT) Full text and rfc822 format available.

Message #10 received at 650795@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 650795@bugs.debian.org
Subject: Re: linux-2.6 FTBFS: find: Failed to save working directory in order to [...]: Too many open files
Date: Sat, 3 Dec 2011 02:53:15 -0600
Jonathan Nieder wrote:

> find 'debian/linux-patch-debian-2.6.32/usr/src/kernel-patches/all/2.6.32/debian' ! -path '*/series/*' -type f -execdir bzip2 '{}' ';' -execdir chmod 644 '{}.bz2' ';'
> find: Failed to save working directory in order to run a command on `drm-i915-rephrase-pread+pwrite-bounds-checking-to-avoid-potential-overflow.patch': Too many open files

Downgrading to 4.4.2-1 avoids trouble, fortunately.




Set Bug forwarded-to-address to 'http://savannah.gnu.org/bugs/?34976'. Request was from Andreas Metzler <ametzler@downhill.at.eu.org> to control@bugs.debian.org. (Sat, 03 Dec 2011 09:21:23 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 26 Sep 2013 19:18:44 GMT) Full text and rfc822 format available.

Reply sent to Andreas Metzler <ametzler@debian.org>:
You have taken responsibility. (Sat, 28 Sep 2013 07:06:09 GMT) Full text and rfc822 format available.

Notification sent to Jonathan Nieder <jrnieder@gmail.com>:
Bug acknowledged by developer. (Sat, 28 Sep 2013 07:06:09 GMT) Full text and rfc822 format available.

Message #19 received at 650795-close@bugs.debian.org (full text, mbox):

From: Andreas Metzler <ametzler@debian.org>
To: 650795-close@bugs.debian.org
Subject: Bug#650795: fixed in findutils 4.5.12-1
Date: Sat, 28 Sep 2013 07:03:31 +0000
Source: findutils
Source-Version: 4.5.12-1

We believe that the bug you reported is fixed in the latest version of
findutils, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 650795@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Metzler <ametzler@debian.org> (supplier of updated findutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sat, 28 Sep 2013 08:46:13 +0200
Source: findutils
Binary: findutils locate
Architecture: source i386
Version: 4.5.12-1
Distribution: experimental
Urgency: low
Maintainer: Andreas Metzler <ametzler@debian.org>
Changed-By: Andreas Metzler <ametzler@debian.org>
Description: 
 findutils  - utilities for finding files--find, xargs
 locate     - maintain and query an index of a directory tree
Closes: 650795 689620 704879 712792
Changes: 
 findutils (4.5.12-1) experimental; urgency=low
 .
   * New upstream version.
   * Includes upstream bug fixes:
     + find -execdir leaks file descriptors for the working directory
       Closes: #650795
     + exits without error on OOM. Closes: #712792
   * find -perm +octalmode now exits with an error instead of failing
     silently. Closes: #704879 Add Breaks for versions of debconf and debhelper
     which used this feature. I will also try to come up with lintian test.
   * Drop 20_missing-variable-initialisati.patch completely, and also parts of
     10_bashism.diff.
   * Fix config.(sub|guess) update, the relevant files are in build-aux/.
     Closes: #689620
   * Point Vcs-* to anonscm.d.o.
Checksums-Sha1: 
 c032d9682afa1d808174cc5b88e0010504e530f7 1443 findutils_4.5.12-1.dsc
 c6c3d5b921fba12cf8eeabbcffab2fc9ecb893e2 3236073 findutils_4.5.12.orig.tar.gz
 29627cc561b0137f7f4bc10c2bc2b4ec1c99877e 23659 findutils_4.5.12-1.debian.tar.gz
 2f77ae4b66aaa8cc0851b77ed2fe7a2678ace6f2 557988 findutils_4.5.12-1_i386.deb
 7af10290ad453d4633c4e1d1b0df442427c7d6ef 188292 locate_4.5.12-1_i386.deb
Checksums-Sha256: 
 d532cdacd06669bf9593ae6f3b18b6fff7e2702ef3e01ff71be2245ff2e6128f 1443 findutils_4.5.12-1.dsc
 df859eebad68c216204363f163c0e4200208ce7348f3658564a120e32e4f63de 3236073 findutils_4.5.12.orig.tar.gz
 94834b695f24aedefb250f46800fa6e21ed36c9795d9467f7206881a4825aa95 23659 findutils_4.5.12-1.debian.tar.gz
 ff8ddab6c5ad0b10685289d9786aa151c92dd67c95118c9cc19926424911a298 557988 findutils_4.5.12-1_i386.deb
 ef1106273948f5c5cbd6e865e4926dec97828eb2eff659dc3a72aca9c6282eb7 188292 locate_4.5.12-1_i386.deb
Files: 
 e0808ee62d45e9ce81fcc0edb1f58344 1443 utils required findutils_4.5.12-1.dsc
 e5f8d618aab0641cbbb738c43bcbc104 3236073 utils required findutils_4.5.12.orig.tar.gz
 14118cb882b6a2b9550f5f8fe7e723d6 23659 utils required findutils_4.5.12-1.debian.tar.gz
 1b92e0624b82d96a473c16c28805dd2d 557988 utils required findutils_4.5.12-1_i386.deb
 ba881dea8fe1e366cd7b85f283e186f5 188292 utils optional locate_4.5.12-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEAREDAAYFAlJGfcUACgkQHTOcZYuNdmMo2wCggWpOEbp5vUTR06NR+t/x4YXg
n5kAoK0Zldsn9mEpQF6GMjySfM5GDevq
=SqTJ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 26 Oct 2013 07:31:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:29:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.